Bug 975923 - Grub2 boot menu missing entries that should be there.
Grub2 boot menu missing entries that should be there.
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: grub2 (Show other bugs)
18
x86_64 Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Peter Jones
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-19 11:33 EDT by Steve Foster
Modified: 2014-02-05 16:52 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 16:52:59 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steve Foster 2013-06-19 11:33:20 EDT
Description of problem:
After last yum update the Grub2 boot menu just says "Fedora"
but
linux-boot-prober /dev/sda1
/dev/sda1:/dev/sda1::/vmlinuz-3.9.2-200.fc18.x86_64:/initramfs-3.9.2-200.fc18.x86_64.img:root=/dev/sda1
/dev/sda1:/dev/sda1::/vmlinuz-3.9.4-200.fc18.x86_64:/initramfs-3.9.4-200.fc18.x86_64.img:root=/dev/sda1
/dev/sda1:/dev/sda1::/vmlinuz-3.9.5-201.fc18.x86_64:/initramfs-3.9.5-201.fc18.x86_64.img:root=/dev/sda1

So where are they on the boot menu..?  
The single Fedora line corresponds to the lastest one.


Version-Release number of selected component (if applicable):
rpm -qa | grep grub
grub2-tools-2.00-15.fc18.x86_64
grub2-2.00-15.fc18.x86_64
grubby-8.22-1.fc18.x86_64

How reproducible:
Every single boot.

Steps to Reproduce:
1.Reboot my system
2.
3.

Actual results:
Single grub2 menu "Fedora"

Expected results:
Normal List of Last 3 kernels



Additional info:
Comment 1 Mads Kiilerich 2013-08-18 19:54:28 EDT
Grub do have advanced handling of booting of the "current" OS. os-prober is a half-hearted attempt of doing something that might work. A better approach is to let each OS manage its own configuration and let a main bootloader dispatch between different os's. That do however require some manual work, for instance using the grub configfile directive or some kind of "chain loading".

So what you describe is kind of by (lack of) design and not a bug. Upstream might make improvements in this area in a later version.
Comment 2 Fedora End Of Life 2013-12-21 09:04:23 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2014-02-05 16:52:59 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.